/*-- Original:  Mattias Sjoberg

  -- This script and many more are available free online at
  -- The JavaScript Source!! http://javascript.internet.com

  -- Modifications and Extensions by Ben Boukes, (c) 2002-2020 */

//-- Begin
var expDays = 30;                     // Cookies remain valid for 30 days
var exp = new Date();
exp.setTime(exp.getTime() + (expDays*24*60*60*1000));

function Who() {                      // User Function : Remember visitor name
  var VisitorName = GetCookie('VisitorName'); // Get data from cookie
  if (VisitorName == null) {          // Trap empty return, e.g. by nonexistent cookie
            // String in PROMPT may be modified
    VisitorName = prompt('Type je naam in.\nDe website onthoudt die voor je volgende bezoek','Mijn Naam');
    if (VisitorName == null)
      VisitorName = 'Onbekend';
    SetCookie ('VisitorName', VisitorName, exp); // Update Cookie
  }
  return VisitorName;
}

function When(){                      // User Function : date and Time of last visit
  var rightNow = new Date();          // Returned data may need postprocessing!!
  var WWHTime = 0;

  WWHTime = GetCookie('WWhenH');      // Get data from cookie
  if (WWHTime == null)                // Trap empty return, e.g. by nonexistent cookie
     var WWHText = "";
  else {
    WWHTime = WWHTime * 1;
     var WWHText = new Date(WWHTime);
  }
  SetCookie("WWhenH", rightNow.getTime(), exp); // Update Cookie
  return WWHText;
}

function Count(){                      // User Function : Count # of visits
  var WWHCount = GetCookie('WWHCount') // Get data from cookie
  if (WWHCount == null) {              // Trap empty return, e.g. by nonexistent cookie
    WWHCount = 0;
  } else {
    WWHCount++;
  }
  SetCookie('WWHCount', WWHCount, exp); // Update Cookie
  return WWHCount;
}

function EraseCookie() {            // User Function: remove cookie from system
  DeleteCookie('VisitorName');      // Approach: expire complete contents
  DeleteCookie('WWHCount');
  DeleteCookie('WWhenH');
}

function getCookieVal(offset) {     // System -- No direct references, please
  var endstr = document.cookie.indexOf (";", offset);
  if (endstr == -1)
    endstr = document.cookie.length;

  return unescape(document.cookie.substring(offset, endstr));
}

function GetCookie(name) {          // System -- No direct references, please
  var arg = name + "=";
  var alen = arg.length;
  var clen = document.cookie.length;
  var i = 0;
  while (i < clen) {
    var j = i + alen;
    if (document.cookie.substring(i, j) == arg)
      return getCookieVal(j);
    i = document.cookie.indexOf(" ", i) + 1;
    if (i == 0) break;
  }
  return null;
}

function SetCookie(name, value) {       // System -- No direct references, please
  var argv = SetCookie.arguments;
  var argc = SetCookie.arguments.length;
  var expires = (argc > 2) ? argv[2] : null;
  var path = (argc > 3) ? argv[3] : null;
  var domain = (argc > 4) ? argv[4] : null;
  document.cookie = name + "=" + escape (value) +
    ((expires == null) ? "" : ("; expires=" + expires.toGMTString())) +
    ((path == null) ? "" : ("; path=" + path)) +
    ((domain == null) ? "" : ("; domain=" + domain));
}

function DeleteCookie(name) {       // System -- Be careful with direct references, please
  var exp = new Date();
  exp.setTime(exp.getTime() - 1);
  var cval = GetCookie(name);
  document.cookie = name + "=" + cval + "; expires=" + exp.toGMTString();
}